Import accounts into an email workspace
Links a batch of email addresses to the workspace so they can be warmed.
Batches of 4 accounts or fewer are processed synchronously and errors (if any) are returned directly. Larger batches run in the background and the response contains a task_id to poll via GET /tasks/{task_id}.
- Type: integerFormat: int32idrequired
The ID of the workspace to import accounts into.
Import accounts into an email workspace
- Type: array string[]accountsrequired
Email addresses to link to the workspace.
- Type: integerFormat: int32account
_id When relinking in IMAP-only mode, the ID of the existing account to attach the OAuth credentials to.
- Type: booleanimap
_only Relink an existing IMAP account to the workspace OAuth credentials. Requires a single element in
accountsand anaccount_id. - Type: booleanspamchecker
_only If true, imported accounts are enabled only for Spam Tests (and automated tests) — warming and monitoring are disabled and no warming seat is charged. Use this when the accounts are dedicated to running (automated) spam tests.
- application/json
- application/json
- application/json
curl http://api.mailreach.co/api/v1/email_workspaces/42/accounts \
--request POST \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: YOUR_SECRET_TOKEN' \
--data '{
"accounts": [
"john@acme.com",
"sales@acme.com"
],
"spamchecker_only": true,
"imap_only": false,
"account_id": 1234
}'
{
"completed": true,
"errors": [],
"task_id": 8421
}